<link rel="import" href="../polymer/polymer-element.html">
<link rel="import" href="../iron-ajax/iron-ajax.html">
<link rel="import" href="../paper-spinner/paper-spinner.html">


<dom-module id="data-manager">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>

    <template is="dom-if" if="{{cargando}}">
        <paper-spinner active="{{cargando}}" class="thick"></paper-spinner>
        <h2>Cargando</h2>
    </template>
    
    <h2>{{handleResponse.name}}</h2>
    <iron-ajax
    auto
    url="https://jsonplaceholder.typicode.com/users/1"
    handle-as="json"
    last-response="{{handleResponse}}">
</iron-ajax>

  

  </template>

  <script>
    /**
     * `data-manager`
     * Data
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class DataManager extends Polymer.Element {
      static get is() { return 'data-manager'; }
      static get properties() {
        return {
          handleResponse: {
            type: Object,
            value: ()=>{
              return{}
            },
            observer: '_success'
            },
            cargando:{
              type: Boolean,
              value: false
            }
          };
        }
        _success(e){
          this.cargando = false;
        }
      }

    window.customElements.define(DataManager.is, DataManager);
  </script>
</dom-module>
